// JavaScript Document
function Caudio(game){
	this.Load=function(){
		this.sound=document.createElement('audio');
		this.sound.UsrParent=this;
		this.canplay=false;
		this.meta=false;
		this.Ready=false;
		this.playing=false;
		this.sound.addEventListener("error", SoundError, true);
	}
	
	this.ready=function(){
		if(this.Ready)return(true);
		if(this.sound.readyState>=4){
			if(this.PlayThrough){this.sound.volume=1.0;}
			this.canplay=true;
			this.Ready=true;
			return(true);
		}
		if(navigator.appName != 'Microsoft Internet Explorer')//do not start the sound in IE
		if(this.sound.readyState>=2 && !this.canplay){
			this.sound.muted=true;
			this.sound.play();
		}
		return(false);
	}
	
	function SoundError(){
		alert('Error while sound was in stage "'+this.error+'" !');
	}
	
	this.LoadSound=function(sound_mp3,sound_ogg){
		this.canplay=false;
		this.Ready=false;
		this.PlayThrough=false;
		if(this.sound.canPlayType){
			if(this.sound.canPlayType('audio/ogg'))this.sound.src=sound_ogg;
			else this.sound.src=sound_mp3;
		}else this.sound.src=sound_mp3;
		this.sound.load();
	}
	
	this.getPos=function(){
		return(this.sound.currentTime);
	}
	
	this.getDuration=function(){
		return(this.sound.duration);
	}
	
	this.Play=function(time,ignoreMute){
		if(!time)time=0;
		if(this.sound.currentTime!=time)
			this.sound.currentTime=time;
		if(ignoreMute || !game)
			this.sound.muted=false;
		else
			this.sound.muted=game.mute;
		this.playing=true;
		this.sound.volume=1.0;
		this.sound.play();
	}
	this.Stop=function(){
		this.playing=false;
		this.sound.pause();
		this.sound.currentTime=0;
	}

	this.Pause=function(){
		this.playing=false;
		this.sound.pause();
	}
	this.Load();
}